Query PBX capacity
Query the capacity of PBX, including the number of extensions and concurrent calls, and both the total and used capacity for AI transcription and AI receptionist.
Request URL
GET {base_url}/{api_path}/system/capacity?access_token={access_token}
Request parameters
No request parameters. Send the request URL directly to query PBX capacity.
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object<Device_Capacity> | The PBX capacity. |
Device_Capacity
| Parameter | Type | Description |
|---|---|---|
| extension_capacity | Integer | The maximum number of extensions. |
| extension_used | Integer | The number of extensions used. |
| cc_capacity | Integer | The maximum number of concurrent calls. |
| cc_used | Integer | The number of concurrent calls used. |
| ai_transcription_onetime_capacity | Integer | Total capacity of one-time AI transcription minutes (in seconds). |
| ai_transcription_onetime_used | Integer | Used capacity of one-time AI transcription minutes (in seconds). |
| ai_transcription_pack_capacity | Integer | Total capacity of AI transcription monthly quota pack (in seconds). |
| ai_transcription_pack_used | Integer | Used capacity of AI transcription monthly quota pack for the current month (in seconds). |
| ai_receptionist_onetime_capacity | Integer | Total capacity of one-time AI receptionist minutes (in seconds). |
| ai_receptionist_onetime_used | Integer | Used capacity of one-time AI receptionist minutes (in seconds). |
| ai_receptionist_pack_capacity | Integer | Total capacity of AI receptionist monthly quota pack (in seconds). |
| ai_receptionist_pack_used | Integer | Used capacity of AI receptionist monthly quota pack for the current month (in seconds). |
Examples
Request example
GET /openapi/v1.0/system/capacity?access_token=tmZCgLHfy9a2qpFthxdGfa0Xr6v3D63C Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"extension_capacity": 50,
"extension_used": 10,
"cc_capacity": 25,
"cc_used": 0,
"ai_transcription_onetime_capacity": 20400,
"ai_transcription_onetime_used": 13115,
"ai_transcription_pack_capacity": 30000,
"ai_transcription_pack_used": 272,
"ai_receptionist_onetime_capacity": 9600,
"ai_receptionist_onetime_used": 69,
"ai_receptionist_pack_capacity": 30000,
"ai_receptionist_pack_used": 716
}
}